"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.extensions = void 0;
var transform_1 = __importDefault(require("../styles-replace-custom-property/transform"));
var constants_1 = require("../../utilities/constants");
exports.extensions = constants_1.scss.extensions;
function transformer(fileInfo, _) {
    return (0, transform_1["default"])(fileInfo, _, { replacementMaps: replacementMaps });
}
exports["default"] = transformer;
var replacementMaps = {
    '/.+/': {
        '--p-shadow-transparent': '--p-shadow-none',
        '--p-shadow-faint': '--p-shadow-sm',
        '--p-shadow-base': '--p-shadow-md',
        '--p-shadow-deep': '--p-shadow-md',
        '--p-shadow-button': '--p-shadow-sm',
        '--p-shadow-top-bar': '--p-shadow-sm',
        '--p-shadow-card': '--p-shadow-md',
        '--p-shadow-popover': '--p-shadow-xl',
        '--p-shadow-layer': '--p-shadow-2xl',
        '--p-shadow-modal': '--p-shadow-2xl',
        '--p-shadows-inset-button': '--p-shadow-none',
        '--p-shadows-inset-button-pressed': '--p-shadow-inset-md'
    }
};
