"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.extensions = void 0;
var transform_1 = __importDefault(require("../styles-replace-custom-property/transform"));
var constants_1 = require("../../utilities/constants");
exports.extensions = constants_1.scss.extensions;
function transformer(fileInfo, _) {
    return (0, transform_1["default"])(fileInfo, _, { replacementMaps: replacementMaps });
}
exports["default"] = transformer;
var replacementMaps = {
    '/.+/': {
        '--p-z-1': '--p-z-index-1',
        '--p-z-2': '--p-z-index-2',
        '--p-z-3': '--p-z-index-3',
        '--p-z-4': '--p-z-index-4',
        '--p-z-5': '--p-z-index-5',
        '--p-z-6': '--p-z-index-6',
        '--p-z-7': '--p-z-index-7',
        '--p-z-8': '--p-z-index-8',
        '--p-z-9': '--p-z-index-9',
        '--p-z-10': '--p-z-index-10',
        '--p-z-11': '--p-z-index-11',
        '--p-z-12': '--p-z-index-12'
    }
};
