"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.extensions = void 0;
var transform_1 = __importDefault(require("../styles-replace-custom-property/transform"));
var constants_1 = require("../../utilities/constants");
exports.extensions = constants_1.scss.extensions;
function transformer(fileInfo, _) {
    return (0, transform_1["default"])(fileInfo, _, { replacementMaps: replacementMaps });
}
exports["default"] = transformer;
var replacementMaps = {
    '/.+/': {
        '--p-border-radius-base': '--p-border-radius-1',
        '--p-border-radius-full': '--p-border-radius-half',
        '--p-border-radius-slim': '--p-border-radius-05',
        '--p-border-radius-wide': '--p-border-radius-2',
        '--p-text-field-focus-ring-border-radius': '0.4375rem'
    }
};
