"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.extensions = void 0;
var transform_1 = __importDefault(require("../styles-replace-custom-property/transform"));
var constants_1 = require("../../utilities/constants");
exports.extensions = constants_1.scss.extensions;
function transformer(fileInfo, _) {
    return (0, transform_1["default"])(fileInfo, _, { replacementMaps: replacementMaps });
}
exports["default"] = transformer;
var replacementMaps = {
    '/.+/': {
        '--p-button-drop-shadow': '--p-shadow-button',
        '--p-button-inner-shadow': '--p-shadows-inset-button',
        '--p-button-pressed-inner-shadow': '--p-shadows-inset-button-pressed',
        '--p-card-shadow': '--p-shadow-card',
        '--p-modal-shadow': '--p-shadow-modal',
        '--p-popover-shadow': '--p-shadow-popover',
        '--p-top-bar-shadow': '--p-shadow-top-bar',
        '--p-shadow-from-ambient-light': 'rgba(23, 24, 24, 0.05)',
        '--p-shadow-from-dim-light': 'rgba(0, 0, 0, 0.2)',
        '--p-shadow-from-direct-light': 'rgba(0, 0, 0, 0.15)'
    }
};
