"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.extensions = void 0;
var transform_1 = __importDefault(require("../styles-replace-custom-property/transform"));
var constants_1 = require("../../utilities/constants");
exports.extensions = constants_1.scss.extensions;
function transformer(fileInfo, _) {
    return (0, transform_1["default"])(fileInfo, _, { replacementMaps: replacementMaps });
}
exports["default"] = transformer;
var replacementMaps = {
    '/.+/': {
        '--p-override-none': 'none',
        '--p-override-one': '1',
        '--p-override-visible': 'visible',
        '--p-override-zero': '0',
        '--p-override-transparent': 'transparent',
        '--p-non-null-content': '""',
        '--p-icon-size': '--p-icon-size-small',
        '--p-range-slider-thumb-scale': '1.5',
        '--p-badge-mix-blend-mode': 'luminosity'
    }
};
