"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.extensions = void 0;
var transform_1 = __importDefault(require("../styles-replace-custom-property/transform"));
var constants_1 = require("../../utilities/constants");
exports.extensions = constants_1.scss.extensions;
function transformer(fileInfo, _) {
    return (0, transform_1["default"])(fileInfo, _, { replacementMaps: replacementMaps });
}
exports["default"] = transformer;
var replacementMaps = {
    '/.+/': {
        '--p-border-radius-base': '--p-border-radius-1',
        '--p-border-radius-large': '--p-border-radius-2',
        '--p-border-radius-half': '--p-border-radius-full',
        '--p-border-base': 'var(--p-border-width-1) solid var(--p-color-border-subdued)',
        '--p-border-dark': 'var(--p-border-width-1) solid var(--p-color-border)',
        '--p-border-transparent': 'var(--p-border-width-1) solid transparent',
        '--p-border-divider': 'var(--p-border-width-1) solid var(--p-color-border-subdued)',
        '--p-border-divider-on-dark': 'var(--p-border-width-1) solid var(--p-color-border-inverse)'
    }
};
