"use strict";
exports.__esModule = true;
exports.typescript = exports.scss = exports.POLARIS_MIGRATOR_COMMENT = void 0;
exports.POLARIS_MIGRATOR_COMMENT = 'polaris-migrator: Unable to migrate the following expression. Please upgrade manually.';
exports.scss = {
    extensions: ['css', 'scss'],
    options: {
        namespace: {
            name: 'namespace',
            type: 'string',
            description: 'Provide an optional SCSS module namespace to target.'
        }
    }
};
exports.typescript = {
    extensions: ['js', 'jsx', 'ts', 'tsx'],
    options: {
        relative: {
            name: 'relative',
            type: 'boolean',
            description: 'Are you targeting relative imports?'
        }
    }
};
